package com.engine.attendance.component.calendarscheduling.service;

import java.util.Map;

/**
 * @Author liang.cheng
 * @Date 2023/12/26 6:53 PM
 * @Description: TODO
 * @Version 1.0
 */
public interface WorkRulesService {

    /**
     * @Description: 班次列表
     * @Author: liang.cheng
     * @Date: 2023/12/26 7:18 PM
     * @param: [resourceIds]
     * @return: java.lang.String
     */
    Map<String, Object> getWorkRulesList(String resourceIds);

    /**
     * 获得部门人员排班情况
     * @param params
     * @return
     */
    Map<String, Object> getDepartSchedule(Map<String, Object> params);

    /**
     * 日历排班修改班次保存
     */
    Map<String, Object> saveCalendarWork(Map<String, Object> params);
}
